API ReferenceapilivePOST /v1/live/calls/{id}/end

POST /v1/live/calls/\{id\}/end

Service: live · operationId: (none)

End the Stream call and finalize the row

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Call ended

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "host_user_id": {
      "type": "string"
    },
    "title": {
      "type": "string"
    },
    "scheduled_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "started_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "ended_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "stream_call_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "stream_call_type": {
      "type": "string"
    },
    "recording_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "recording_ready_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "status": {
      "type": "string",
      "enum": [
        "scheduled",
        "live",
        "ended",
        "errored"
      ]
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "updated_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "host_user_id",
    "title",
    "scheduled_at",
    "started_at",
    "ended_at",
    "stream_call_id",
    "stream_call_type",
    "recording_url",
    "recording_ready_at",
    "status",
    "created_at",
    "updated_at"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

502 Streaming provider error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

503 Streaming provider not configured

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://live.platform.loop.health/v1/live/calls/{id}/end \
  -H "Authorization: Bearer $ACCESS_TOKEN"